x=c(5.25,3.76,5.36,3.67,6.05,3.89,3.39,6.12,6.49,6.03)
s0_square=0.81
alpha=0.05
n=length(x);n
s=sd(x);s
chisquare_compute=(n-1)*s^2/s0_square;chisquare_compute
if(s^2>s0_square) sig_1_tailed=1-pchisq(chisquare_compute,n-1) else sig_1_tailed=pchisq(chisquare_compute,n-1);sig_1_tailed
sig_2_tailed=2*sig_1_tailed;sig_2_tailed
critical_chisquare_upper=qchisq(1-alpha/2,n-1);critical_chisquare_upper
critical_chisquare_lower=qchisq(alpha/2,n-1);critical_chisquare_lower
